Bug 1310532 - VNC server sends repeated frames when DRI3 is enabled
VNC server sends repeated frames when DRI3 is enabled
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 02:25 EST by Jonathan Dieter
Modified: 2016-12-20 13:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:55:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log (18.61 KB, text/plain)
2016-02-22 02:28 EST, Jonathan Dieter
no flags Details

  None (edit)
Description Jonathan Dieter 2016-02-22 02:25:42 EST
Description of problem:
The VNC server sends the same three frames when DRI3 is enabled on integrated 1st(?)-gen Intel HD Graphics card.  This happens for both x11vnc and x0vncserver.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.99.917-20.20160119.fc23.x86_64 [1]

How reproducible:
Always

Steps to Reproduce:
1. Run x11vnc
2. Connect to system using vnc client

Actual results:
Same three frames are repeated in VNC client

Expected results:
VNC client should show what's actually on the screen

Additional info:
This doesn't happen on newer systems running Intel HD Graphics 2500, so it seems to be something specific to this particular integrated chipset.  As a temporary workaround, I've downgraded the system to xorg-x11-drv-intel-2.99.917-16.20150729.fc23.x86_64, which doesn't have DRI3 enabled, and it works fine.

Also, FWIW, the login screen (under LightDM) works just fine.  The frames don't start repeating until gnome-shell actually launches.

[1] rebuilt from koji because we have other systems running the same disk image that require DRI3 for hardware acceleration when multiple video cards are in use.
Comment 1 Jonathan Dieter 2016-02-22 02:28 EST
Created attachment 1129168 [details]
Xorg log
Comment 2 Fedora End Of Life 2016-11-24 10:41:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2016-12-20 13:55:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.